--望州城
--剧情本：地狱台

--脚本号
x103007_g_scriptId=103007

function x103007_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]丹王殿可不是你說來就來，說走就走的地方！[-]")

	AddNumText(scene,x103007_g_scriptId,"劇情副本:丹王殿",-1,1)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

function x103007_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index == 1 then
		BeginEvent(scene)
		AddText(scene,"這簡直是自尋死路！")
		AddNumText(scene,x103007_g_scriptId,"難度：普通",-2,10101)
		AddNumText(scene,x103007_g_scriptId,"難度：精英",-2,10102)
		AddNumText(scene,x103007_g_scriptId,"難度：史詩",-2,10103)
		AddNumText(scene,x103007_g_scriptId,"便捷組隊",-2,10104,0,103)
		AddNumText(scene,x103007_g_scriptId,"副本說明",-1,10105)
		AddNumText(scene,x103007_g_scriptId,"返回",-1,10106)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10101 then
		GotoCopyScene(scene,selfId,241)
	elseif index == 10102 then
		GotoCopyScene(scene,selfId,242)
	elseif index == 10103 then
		GotoCopyScene(scene,selfId,243)
	elseif index == 10104 then
		x103007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10105 then
		x103007_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10106 then
		x103007_OnDefaultEvent(scene,selfId ,targetId)
	end
end